Skip to content

# Interface: DrawerProps

## Hierarchy

- DrawerProps

## Index

### Properties

- animation
- className
- contentClass
- onClose
- open
- position
- size
- title
- toolbar
- usePortal

## Properties

### `Optional` animation

• animation? : AnimateName

Defined in src/renderer/components/drawer/drawer.tsx:18

### `Optional` className

• className? : string | object

Defined in src/renderer/components/drawer/drawer.tsx:15

### `Optional` contentClass

• contentClass? : string | object

Defined in src/renderer/components/drawer/drawer.tsx:16

### `Optional` onClose

• onClose? : function

Defined in src/renderer/components/drawer/drawer.tsx:19

#### Type declaration:

▸ (): void

### open

• open: boolean

Defined in src/renderer/components/drawer/drawer.tsx:11

### `Optional` position

• position? : "top" | "left" | "right" | "bottom"

Defined in src/renderer/components/drawer/drawer.tsx:17

### `Optional` size

• size? : string

Defined in src/renderer/components/drawer/drawer.tsx:13

### title

• title: React.ReactNode

Defined in src/renderer/components/drawer/drawer.tsx:12

### `Optional` toolbar

• toolbar? : React.ReactNode

Defined in src/renderer/components/drawer/drawer.tsx:20

### `Optional` usePortal

• usePortal? : boolean

Defined in src/renderer/components/drawer/drawer.tsx:14